# Reference implementation of the paper "Grid-free monte carlo for pdes with spatially varying coefficients" by Sawhney et. al

The code given here writes an ASCII .ppm image file to the console. The image shows the solution to a PDE with spatially varying absorption and diffusion, plotted on a slice plane. The domain is defined by an signed distance function.

![Example output](output.png)

## External dependencies
- Eigen3 (required)
- OpenMP (optional)

## Building
- `mkdir build`
- `cd build`
- `cmake ..`

## Running
- `./build/bin/wos-test > output.ppm`
- `open output.ppm`

